Rename lifecycle-environment to lifecycle_environment for consistency

02/20/2014 03:53 PM - Og Maciel

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

All hammer CLI subcommands that have names with two or more words (e.g partition_table) are written with an underscore, but

lifecycle-environment has a dash. Could we change it so that it uses an underscore like all other CLI subcommands?

# hammer

Usage:

    hammer [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:

    SUBCOMMAND                    subcommand

    [ARG] ...                     subcommand arguments

Subcommands:

    shell                         Interactive shell

    global_parameter              Manipulate global parameters.

    architecture                  Manipulate architectures.

    compute_resource              Manipulate compute resources.

    domain                        Manipulate domains.

    sc_param                      Manipulate smart class parameters.

    environment                   Manipulate environments.

    fact                          Search facts.

    report                        Browse and read reports.

    puppet_class                  Search puppet modules.

    host                          Manipulate hosts.

    hostgroup                     Manipulate hostgroups.

    location                      Manipulate locations.

    medium                        Manipulate installation media.

    model                         Manipulate hardware models.

    os                            Manipulate operating system.

    partition_table               Manipulate partition tables.

    proxy                         Manipulate smart proxies.

    subnet                        Manipulate subnets.

    template                      Manipulate config templates.

    user                          Manipulate users.

    subscription                  Manipulate subscriptions.

    systemgroup                   Manipulate system groups

    lifecycle-environment         manipulate lifecycle_environments on the server

    gpg                           manipulate GPG Key actions on the server

    product                       Manipulate products.

    organization                  Manipulate organizations

    ping                          get the status of the server

    system                        manipulate systems on the server

    provider                      Manipulate providers

Related issues:

Related to Hammer CLI - Bug #4291: Commands should use hyphens instead of und... Duplicate 02/06/2014
History

#1 - 02/20/2014 03:55 PM - Dominic Cleal

- Related to Bug #4291: Commands should use hyphens instead of underscores added

#2 - 02/20/2014 03:55 PM - Dominic Cleal

- Status changed from New to Rejected

Going the other way... #4291 :)

#3 - 06/06/2014 01:40 PM - Eric Helms

- Triaged set to Yes

#4 - 08/22/2014 07:50 AM - Eric Helms

- translation missing: en.field_release set to 13

#5 - 03/21/2015 11:05 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#6 - 07/08/2016 11:27 AM - Eric Helms

- translation missing: en.field_release set to 166

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

https://projects.theforeman.org/issues/4291
http://www.tcpdf.org

